> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List sentiment data

> Returns sentiment data for conversations with optional filters and grouping.



## OpenAPI

````yaml /api-reference/voxys_analytics_swagger.json get /api/v1/accounts/{account_id}/customer_pulse
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Customer Pulse
    description: Sentiment analysis and customer pulse metrics
  - name: Leads Reports
    description: Lead pipeline analytics and CSV export (v2)
paths:
  /api/v1/accounts/{account_id}/customer_pulse:
    get:
      tags:
        - Customer Pulse
      summary: List sentiment data
      description: >-
        Returns sentiment data for conversations with optional filters and
        grouping.
      operationId: listCustomerPulse
      parameters:
        - name: since
          in: query
          schema:
            type: integer
          description: Start timestamp (Unix epoch)
        - name: until
          in: query
          schema:
            type: integer
          description: End timestamp (Unix epoch)
        - name: inbox_id
          in: query
          schema:
            type: integer
        - name: sentiment
          in: query
          schema:
            type: string
            enum:
              - positive
              - neutral
              - negative
        - name: group_by
          in: query
          schema:
            type: string
            enum:
              - day
              - week
              - month
              - agent
              - inbox
      responses:
        '200':
          description: Sentiment data list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/customer_pulse_entry'
        '401':
          $ref: '#/components/responses/unauthorized'
components:
  schemas:
    customer_pulse_entry:
      type: object
      properties:
        conversation_id:
          type: integer
        sentiment:
          type: string
          enum:
            - positive
            - neutral
            - negative
        score:
          type: number
          format: float
        analyzed_at:
          type: string
          format: date-time
        inbox_id:
          type: integer
        agent_id:
          type: integer
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````